Hermos API

Get Payment

GET/payments/{payment}

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

payment*string

Opaque payment ID.

Match^pay_[0-7][0-9abcdefghjkmnpqrstvwxyz]{25}$(?![\s\S])

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/payments/string"
{  "data": {    "object": "payment",    "id": "string",    "livemode": true,    "created": "2019-08-24T14:15:22Z",    "receipt": {      "number": "string",      "can_resend": true    },    "status": "pending",    "rail": "stripe",    "amount": {      "amount": -9007199254740991,      "currency": "string"    },    "amount_authorized": {      "amount": -9007199254740991,      "currency": "string"    },    "amount_refunded": {      "amount": -9007199254740991,      "currency": "string"    },    "amount_disputed": {      "amount": -9007199254740991,      "currency": "string"    },    "application_fee": {      "amount": -9007199254740991,      "currency": "string"    },    "processing_fee": {      "amount": -9007199254740991,      "currency": "string"    },    "net": {      "amount": -9007199254740991,      "currency": "string"    },    "attempts": [      {        "attempt_no": 0,        "outcome": "string",        "started_at": "2019-08-24T14:15:22Z",        "failure_code": "string",        "reason_text": "string",        "trigger": "string"      }    ],    "advice": "string",    "next_retry_at": "string",    "retry_number": 0,    "retry_limit": 0,    "access_until": "string",    "risk": {      "level": "string"    },    "refund_window_ends_at": "string",    "external_id": "string",    "timeline": [      {        "type": "string",        "description": "string",        "created": "2019-08-24T14:15:22Z"      }    ],    "checkout_evidence": [      {        "captured_at": "2019-08-24T14:15:22Z",        "consent_text": "string",        "charge_terms_text": "string",        "ip_address": "string",        "user_agent": "string"      }    ],    "customer": {      "id": "string",      "name": "string",      "email": "string",      "country": "string",      "billing_address": {        "line1": "string",        "line2": "string",        "city": "string",        "state": "string",        "postal_code": "string",        "country": "string"      }    },    "payment_method": {      "type": "string",      "brand": "string",      "last4": "string",      "exp_month": 1,      "exp_year": 0    },    "payment_setup": "string",    "product": "string",    "subscription": "string",    "failure_code": "string",    "captured_at": "string",    "failed_at": "string",    "refunds": [      {        "id": "string",        "amount": {          "amount": -9007199254740991,          "currency": "string"        },        "status": "string",        "outcome": "string",        "reason": "string",        "created": "2019-08-24T14:15:22Z"      }    ],    "dispute": {      "id": "string",      "status": "string",      "amount": {        "amount": -9007199254740991,        "currency": "string"      }    }  },  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}